Subject: [Autoconf] Multi-subnet manets and manet local addresses

From: Christophe Jelger <[email-masked]>
Date: Mon, 03 Apr 2006 15:50:19 +0200

Dear all,

I just submitted an Internet Draft about a subject that has been 
discussed on this mailing list quite a few times: generating manet-local 
addresses with IPv6 unique local unicast addresses.

It is available there (also soon on ietf web site):

   Title: MANET Local IPv6 Addresses
   http://cn.cs.unibas.ch/people/cj/draft-jelger-autoconf-MLA-00.txt

Actually I wanted to submit this draft for the last IETF meeting but I 
forgot that the deadline for 00 drafts was one week earlier than 
follow-up drafts.

Note that the idea of using unique local unicast addresses (ULAs) was 
first discussed a long time ago (Feb. 2005). I recently decided to write 
this draft because I think ULAs offer a dead simple solution for 
MANET-local communications.

Moreover the concept is very close to the current discussions around the 
multi-subnet draft from Dave Thaler so the timing is perfect.

Comments are of course expected and welcome!

regards,
Christophe

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 3 Apr 2006 09:32:21 -0700

Here are my comments on this draft:

1) Section 1, second paragraph, the sentence beginning:
"Since MANET routing is flat (i.e., it creates /128 host
routes)", I don't believe this assertion is necessarily
true any longer now that we have the Multi-Subnet MANET
approach. It is true that nodes that participate in a
MANET routing protocol require a unique router ID (RID),
but there is no requirement that this be a /128 host
route or even an IP address for that matter. Suggest
changing this sentence to say: "This extends the usage
or ULAs to an extreme case where each MANET node is
considered as being a site and subnet [1] by itself;
i.e., MANET nodes do not necessarily need to share a
network prefix for intra-MANET communications."

2) Section 3.1 seems to be redefining the format for
ULAs, i.e., since the suggested prefix (FC00::/7) is
the same as defined in [1] it doesn't seem legitimate
to redefine the format in this document. Suggestions
are to either use a different prefix for MLAs or
investigate whether setting the 'L' bit to 0 could
be used to extend the global ID field into the subnet
ID to form a 56-bit Random ID field.

3) Section 3.1, first sentence, why not just cite
(RFC4193, section 3.2)?

4) Section 3.2, second sentence, same comment as 1).

Fred
[email-masked]   

-----Original Message-----
From: Christophe Jelger [mailto:[email-masked]] 
Sent: Monday, April 03, 2006 6:50 AM
To: [email-masked]
Subject: [Autoconf] Multi-subnet manets and manet local addresses

Dear all,

regards,
Christophe

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 3 Apr 2006 09:48:25 -0700

> 3) Section 3.1, first sentence, why not just cite

Should be: "Section 3.2, first sentence ...".

Fred

---

From: "Joe Macker" <[email-masked]>
Date: Mon, 3 Apr 2006 16:13:19 -0400

>From: Templin, Fred L [mailto:[email-masked]] 
>Sent: Monday, April 03, 2006 12:32 PM
>To: Christophe Jelger; [email-masked]
>Subject: RE: [Autoconf] Multi-subnet manets and manet local addresses
>
>routes)", I don't believe this assertion is necessarily true 
>any longer now that we have the Multi-Subnet MANET approach.

MANET approaches have supported prefix routes for awhile.  So I agree. Also,
you can create a hieararchy with MANET. Noone ever said it MUST be flat. At
some point there usually is a hierarchy.  We don't promote injecting host
routes into the Internet and this can be easily misread.  Possible
usggestion "The technology MAY extend the ability to support intra-MANET
flatness by improving scalability.

I would suggest ID authors stay away from broad generalizations like Fred
has pointed out in #1 and be specific about use cases.
-Joe

>It is true that nodes that participate in a MANET routing 
>protocol require a unique router ID (RID), but there is no 
>requirement that this be a /128 host route or even an IP 
>address for that matter. Suggest changing this sentence to 
>say: "This extends the usage or ULAs to an extreme case where 
>each MANET node is considered as being a site and subnet [1] 
>by itself; i.e., MANET nodes do not necessarily need to share 
>a network prefix for intra-MANET communications."
>
>2) Section 3.1 seems to be redefining the format for ULAs, 
>i.e., since the suggested prefix (FC00::/7) is the same as 
>defined in [1] it doesn't seem legitimate to redefine the 
>format in this document. Suggestions are to either use a 
>different prefix for MLAs or investigate whether setting the 
>'L' bit to 0 could be used to extend the global ID field into 
>the subnet ID to form a 56-bit Random ID field.
>
>3) Section 3.1, first sentence, why not just cite (RFC4193, 
>section 3.2)?
>
>I just submitted an Internet Draft about a subject that has 
>been discussed on this mailing list quite a few times: 
>generating manet-local
>
>Actually I wanted to submit this draft for the last IETF 
>meeting but I forgot that the deadline for 00 drafts was one 
>week earlier than follow-up drafts.
>
>Note that the idea of using unique local unicast addresses 
>(ULAs) was first discussed a long time ago (Feb. 2005). I 
>recently decided to write
>
>this draft because I think ULAs offer a dead simple solution 
>for MANET-local communications.
>

---

From: Christophe Jelger <[email-masked]>
Date: Tue, 04 Apr 2006 13:59:24 +0200

Fred,

Thanks for your comments. See my reply inline.

regards,
Christophe

> network prefix for intra-MANET communications."

As Joe also pointed out, I admit that boldly saying that "MANET routing 
is flat" is probably not the right way to go. I just wanted to point out 
that existing MANET routing protocols largely create /128 routes: prior 
to Dave's MANET-subnet proposal, flat routing had largely reached 
consensus. So yes this statement should be changed in the next version.

> ID to form a 56-bit Random ID field.

Setting the L bit to 0 is a good idea if one wants to distinguish ULAs 
from MLAs. Good point.

> 3) Section 3.1, first sentence, why not just cite

I'm not sure what you mean here, but address generation with ULAs is 
different because only the Global ID is randomly generated. The 
difference here is that the subnet ID is also randomly generated.

> 4) Section 3.2, second sentence, same comment as 1).

fine.

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 4 Apr 2006 08:43:00 -0700

Christope,
 
> difference here is that the subnet ID is also randomly generated.

Right about Global ID vs. Global IP + subnet ID. What I was
intending to refer to here was the sample code for random ID
generation suggested in RFC4193, section 3.2.2 and the analysis
in section 3.2.3).

Fred

---

From: "Ong Hean Kuan" <[email-masked]>
Date: Thu, 6 Apr 2006 15:01:31 +0800

Dear All:

It seems to me Random ID + Interface ID to form a Unique ID, which is 120
bits. What is the purpose of separate it to Random ID and Interface ID ?

Is the Random ID used to differentiate different MANETs ? That means nodes
in the same MANET share the same Random ID ?

--
Hean Kuan Ong
Network Research Group
School of Computer Science
Universiti Sains Malaysia
_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: Christophe Jelger <[email-masked]>
Date: Thu, 06 Apr 2006 10:30:09 +0200

Hi,

First the random ID is generated according to some pseudo-random 
algorithm, maybe something as proposed in RFC 4193 (as suggested by Fred 
Templin). The interface ID is either a EUI-64 or if privacy is concerned 
it should be generated according to RFC 3041. The 64-64 split is the 
standard IPv6 way of assigning addresses to subnets and nodes.

Second, and according to the scenarios of Dave Thaler's multi-subnet 
draft, a MANET node could act as a router for non-MANET clients which 
would share the router's /64 prefix but have a different interface ID.

And to answer your last point, NO the (router) nodes in the same MANET 
would not share the same random ID. The idea is that the random ID is 
sufficiently large such that nodes can generate a /64 with a very high 
probability of uniqueness (such that strong DAD could be avoided). This 
is in contrast to Dave's proposal to assign a common site prefix to all 
MANET nodes. I think that assigning a site prefix introduces extra 
complexity because it requires coordination among the MANET nodes and in 
both cases (common site prefix or not) the routes would anyway be /64s. 
Now Dave's proposal is fine if a global site prefix is injected in the 
MANET, so one good point of his proposal is that the same scheme applies 
to both MANET-local and global addresses.

regards,
Christophe

Ong Hean Kuan wrote:
> Dear All:
> 
> It seems to me Random ID + Interface ID to form a Unique ID, which is 
> 120 bits. What is the purpose of separate it to Random ID and Interface ID ?
> 
> Is the Random ID used to differentiate different MANETs ? That means 
> nodes in the same MANET share the same Random ID ?
> 
> On 4/4/06, *Templin, Fred L* <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Christope,
> 
>     [email-masked] <mailto:[email-masked]>
> 
>     [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
>

---

From: "Ong Hean Kuan" <[email-masked]>
Date: Thu, 6 Apr 2006 17:31:05 +0800

Dear Christophe Jelger:

On 4/6/06, Christophe Jelger <[email-masked]> wrote:
> probability of uniqueness (such that strong DAD could be avoided).

That means Random ID is added 56 bits to improve the uniqueness of
link-local address. That means even 2 nodes  having same Interface ID still
can be uniquely identify because they wouldn't have same random ID. If that
is the case, i agree with you strong DAD could be avoided, but at least
lightweigth address collision detection or weak DAD should be run parallely
with routing protocol. For example if an attacker assign its node static ip
to already used ip purposely, this may cause address duplication and
consequently leads packets misroute.

Would different pseudo-random algorithm have impacts on address uniqueness?
Is this worth research?

This is in contrast to Dave's proposal to assign a common site prefix to all